## cc-node-5182095009a69f38aef905e74d8fe2ec1fb51fdd.zip

=== doc/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml pickle json htmlhelp qthelp latex changes linkcheck doctest

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html      to make standalone HTML files"
	@echo "  dirhtml   to make HTML files named index.html in directories"
	@echo "  pickle    to make pickle files"
	@echo "  json      to make JSON files"
	@echo "  htmlhelp  to make HTML files and a HTML help project"
	@echo "  qthelp    to make HTML files and a qthelp project"
	@echo "  latex     to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  changes   to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck to check all external links for integrity"
	@echo "  doctest   to run all doctests embedded in the documentation (if enabled)"

clean:
	-rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/cc-node.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/cc-node.qhc"

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make all-pdf' or \`make all-ps' in that directory to" \
	      "run these through (pdf)latex."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

=== debian/changelog ===
cc-node (9) unstable; urgency=low

  * Lots of fixes and improvements
  * Faster with less contention
  * Now returns real TTL, etc...

 -- Thibault VINCENT <thibault.vincent@smartjog.com>  Thu, 03 Feb 2011 15:11:37 +0100

cc-node (8) unstable; urgency=low

  * Huge rewrite of libvirt wrapper and server handler
  * Add new hardware-related tags
  * Basecode ready for Xen integration

 -- Thibault VINCENT <thibault.vincent@smartjog.com>  Mon, 10 Jan 2011 18:49:28 +0100

cc-node (7) unstable; urgency=low

  * New tags implemented for HV and VM

 -- Thibault VINCENT <thibault.vincent@smartjog.com>  Thu, 30 Dec 2010 13:28:19 +0100

cc-node (6) unstable; urgency=low

  * Bug fix
  * Proper release with newer init scripts

 -- Thibault VINCENT <tibal@reloaded.fr>  Mon, 27 Dec 2010 17:12:40 +0100

cc-node (5-2) unstable; urgency=low

  * Fix configuration option for HV detection

 -- Thibault VINCENT <tibal@reloaded.fr>  Mon, 27 Dec 2010 14:10:52 +0100

cc-node (5-1) unstable; urgency=low

  * Support for non-hypervisor nodes
  * New tags implemented
  * First migration features

 -- Thibault VINCENT <tibal@reloaded.fr>  Mon, 27 Dec 2010 12:18:42 +0100

cc-node (4-1) unstable; urgency=low

  * Fixed bugs

 -- Antoine Millet <antoine.millet@smartjog.com>  Wed, 22 Dec 2010 17:50:48 +0100

cc-node (3-1) unstable; urgency=low

  * Added $HOSTNAME variable on login field of config file.
  * Fixed bugs

 -- Antoine Millet <antoine.millet@smartjog.com>  Wed, 22 Dec 2010 16:47:14 +0100
 

cc-node (2-1) unstable; urgency=low

  * New configuration in configuration file
  * Changed name cc-hypervisor to cc-node
  * Tags handled in list_vm

 -- Antoine Millet <antoine.millet@smartjog.com>  Fri, 17 Dec 2010 11:43:42 +0100

cc-node (1-1) unstable; urgency=low

  * Initial release.

 -- Antoine Millet <antoine.millet@smartjog.com>  Mon, 06 Dec 2010 16:42:27 +0100

=== debian/control ===
Source: cc-node
Section: python
Priority: optional
Maintainer: Thibault VINCENT <thibault.vincent@smartjog.com>
Build-Depends: debhelper (>= 7), python-central (>= 0.6), cdbs (>= 0.4.50), python-setuptools, python
XS-Python-Version: >= 2.6
Standards-Version: 3.9.1

Package: cc-node
Architecture: all
Depends: ${misc:Depends}, ${python:Depends}, python-sjrpc ( >= 9 ), python-psutil, python-daemon
Recommends: python-libvirt
XB-Python-Version: ${python:Versions}
Description: CloudControl node
 This package provides node of CloudControl.
